.content--shop{
    position: relative;
}

.heading--woocommerce{
    background: transparent;
}

.woocommerce-ordering{
    select{
        background: #f0f0f0;
        border: 0;
        padding: 6px;
    }
}

@include media-query(lap-and-up) {
    .woo-sorting-helper-container{
        position: absolute;
        top: 0;
        right: $_u2;

        > .flexbox{height: 50px;}

        .woocommerce-ordering{
            margin-bottom: 0;
        }
    }
}

.woocommerce-page ul.products{
    margin: 0 -1%;
    font-size: 0;

    li.product.type-product{
        margin: 1%;
        clear: none;
        width: 100%;
    }

    li.product.type-product{
        float: none;
        display: inline-block;
        vertical-align: top;
    }

    @include media-query(lap-and-up) {
        li.product.type-product{
            width: 23%;
        }
    }
}

.woocommerce ul.products li.product a img, .woocommerce-page ul.products li.product a img{
    box-shadow: none !important;
    border-bottom: 5px solid black;
}

.woocommerce ul.products li.product a:hover img{
    border-bottom: 5px solid $accent;
}

.woocommerce ul.products li.product.type-product{
    border-bottom: 1px dotted #b2b2b2;
    padding-bottom: $_u2;
    text-align: center;

    h3, .price{
        text-align: center;
    }

    .added_to_cart{
        display: block;
    }
}

.woocommerce ul.products li.product.type-product h3{
    font-family: $heading-font-family;
    @include font-size(15px);
    color: black;
}

.woocommerce .products .type-product .star-rating, .woocommerce-page .products .type-product .star-rating{
    margin-left: auto;
    margin-right: auto;
}

.woocommerce {
    ins{
        color: $accent;
    }

    .amount{
        font-family: $heading-font-family;
        color: $accent;
    }

    del .amount{
        color: #807d7c;
    }

    del {
        display: inline-block !important;
        margin-right: 5px;
    }
}

.woocommerce ul.products li.product.type-product .price{
    color: $accent;

    .amount{
        @include font-size(19px);
    }

    del .amount{
        @include font-size(16px);
    }

    .amount + .amount {
        margin-left: 5px;
    }
}

.badge--product{
    width: auto;
    padding: $_u4 $_u2;
    font-size: 12px;
    font-family: $base-font-family;
    text-transform: uppercase;
}

.badge--sold-out{
    background-color: #999999 !important;
    color: white;
}

.nav-woocommerce-pagination ul{
    @extend .nav;
    @extend .pagination;

    span.current{
        background-color: #fb4834;
        color: white;
        display: inline-block; 
    }
}

.woocommerce-ordering select.orderby{
    margin-bottom: 0;
    color: #807d7c;
    @include font-size(12px);
    text-transform: uppercase;
    outline: none;

    option{
        padding: $_u2 0;
    }
}

@include media-query(palm) {
    
    .woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering{
        float: none;
    }
}

body.woocommerce{
    #content div.product div.summary, div.product div.summary, #content div.product div.summary, div.product div.summary{
        width: 100% !important;
        float: none;
    }

    #content div.product div.images img, div.product div.images img, #content div.product div.images img, div.product div.images img{
        @include box-shadow(none);       
    }  

    #content div.product form.cart div.quantity, div.product form.cart div.quantity, #content div.product form.cart div.quantity, div.product form.cart div.quantity{
        float: none;
    }      

    #reviews #comments ol.commentlist li img.avatar, #reviews #comments ol.commentlist li img.avatar{
        float: left;
    }

    #reviews #comments ol.commentlist li .comment-text, #reviews #comments ol.commentlist li .comment-text{
        margin-left: 70px;
        padding: 0;
        border: 0;
    }

    #review_form #commentform #submit{
        @extend .btn;
        @extend .btn--secondary;
        float: right;
        text-shadow: none;
        border: 0;
        background: black;
        @include border-radius(0);
        @include box-shadow(none);
        font-weight: 300;
    }

    .comment-form-rating{
        padding-left: $_u;
    }

    .button.wc-forward{
        @extend .btn;
        @extend .btn--secondary;

        background: black;
        border: 0;
        @include border-radius(0);
        @include box-shadow(none);
        font-family: $alt-font-family;
        font-weight: normal;

        &:after{
            content: none;
        }
    }

}

span.badge--product{
    width: auto;
    @include font-size(12px);
    padding: $_u4;
    font-family: $alt-font-family;
}